data:extend({
  { type = "furnace", name = "crusher",
    icon = "__CartmenIndustry__/graphics/icons/crusher-small-icon.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "crusher"},
    max_health = 100,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    --fast_replaceable_group = "assembling-machine",
    animation =
    {
	  north = 
	  {
      filename = "__CartmenIndustry__/graphics/entity/crusher/crusher-small.png",
      width = 98,
      height = 98,
      frame_count = 15,
	  line_length = 5,
      shift = {0.4, -0.5},
	  animation_speed = 0.8
	  },
	},
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t2-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t2-2.ogg",
          volume = 0.8
        },
      },
      apparent_volume = 1.5,
    },
    crafting_categories = {"crushing"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.04 / 2.5
    },
    energy_usage = "100kW",
    source_inventory_size = 1,
    module_slots = 1,
	result_inventory_size = 2,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  },
  { type = "assembling-machine", name = "flotation-cell",
    icon = "__CartmenIndustry__/graphics/icons/flotation-cell-icon.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "flotation-cell"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-2.7, -2.2}, {2.7, 2.2}},
    selection_box = {{-3, -2.5}, {3, 2.5}},
	fluid_boxes =
    {
      {
        production_type = "input",
        --pipe_picture = assembler2pipepictures(),
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-3.5, 0} }}
      },
      {
        production_type = "output",
        --pipe_picture = assembler2pipepictures(),
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {3.5, 0} }}
      },
      --off_when_no_fluid_recipe = true
    },
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      filename = "__CartmenIndustry__/graphics/entity/flotation-cell/flotation-cell.png",
      width = 270,
      height = 200,
      frame_count = 16,
	  line_length = 4,
	  animation_speed = 0.6,
      shift = {1.5, 0},
    },
	
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t2-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t2-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    },
    crafting_categories = {"flotation"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.04 / 2.5
    },
    energy_usage = "200kW",
    ingredient_count = 1,
    module_slots = 2,
	result_inventory_size = 2,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  },
})